View Issue Details

IDProjectCategoryView StatusLast Update
0005198SymmetricDSImprovementpublic2022-01-25 21:00
Reporterelong Assigned Toelong  
Prioritynormal 
Status resolvedResolutionfixed 
Product Version3.14.0 
Target Version3.14.0Fixed in Version3.14.0 
Summary0005198: Clean up the consistent use of table constants for registration, trigger installation, extract, and export
DescriptionClean up the services and console code to use the constants consistently. Unify the table constants for open source and console tables and centralize the following:
- Which tables are configuration tables for registration
- Which configuration tables are excluded from the registration batch
- Which configuration tables are excluded from change capture
- Which configuration tables are excluded from export

This should fix the following issues:
- Export of CSV and SQL should be consistent with same tables
- Removes the repeating of tables in configuration export because of duplicate constants and a race condition
- Removes trigger hist records for tables that weren't supposed to be included
Tagsconfiguration, extract, registration

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.14 834694c7

2022-01-19 14:01:27

admin

Details Diff
0005198: Clean up the consistent use of table constants for
registration, trigger installation, extract, and export
Affected Issues
0005198
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/util/SnapshotUtil.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/common/TableConstants.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/db/AbstractSymmetricDialect.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/db/ISymmetricDialect.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/io/DbCompare.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/IDataExtractorService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/ITriggerRouterService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/AbstractSqlMap.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataExtractorService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/RegistrationService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/RouterService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/TriggerRouterService.java Diff File
mod - symmetric-server/src/main/java/org/jumpmind/symmetric/web/ConfigurationUriHandler.java Diff File

SymmetricDS: 3.14 9a7598ce

2022-01-21 14:26:26

admin

Details Diff
0005198: table constants for version each table introduced Affected Issues
0005198
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/common/ConfigurationChangedHelper.java Diff File
add - symmetric-core/src/main/java/org/jumpmind/symmetric/common/ConfigurationVersionHelper.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/common/TableConstants.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/route/ConfigurationChangedDataRouter.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataExtractorService.java Diff File
mod - symmetric-core/src/test/java/org/jumpmind/symmetric/VersionUnitTest.java Diff File
add - symmetric-core/src/test/java/org/jumpmind/symmetric/common/ConfigurationVersionHelperTest.java Diff File
mod - symmetric-util/src/main/java/org/jumpmind/util/AbstractVersion.java Diff File

SymmetricDS: 3.14 b453a849

2022-01-25 20:09:14

admin

Details Diff
0005198: fix unit test for changes made to exported tables Affected Issues
0005198
mod - symmetric-core/src/test/java/org/jumpmind/symmetric/service/impl/AbstractDataExtractorServiceTest.java Diff File

Issue History

Date Modified Username Field Change
2022-01-19 13:59 elong New Issue
2022-01-19 13:59 elong Status new => assigned
2022-01-19 13:59 elong Assigned To => elong
2022-01-19 13:59 elong Tag Attached: configuration
2022-01-19 13:59 elong Tag Attached: extract
2022-01-19 13:59 elong Tag Attached: registration
2022-01-19 14:06 elong Status assigned => resolved
2022-01-19 14:06 elong Resolution open => fixed
2022-01-19 14:06 elong Fixed in Version => 3.14.0
2022-01-19 14:06 elong Description Updated View Revisions
2022-01-19 15:00 admin Changeset attached => SymmetricDS 3.14 834694c7
2022-01-21 15:00 admin Changeset attached => SymmetricDS 3.14 9a7598ce
2022-01-25 21:00 admin Changeset attached => SymmetricDS 3.14 b453a849